package cn.fw.hermes.sdk.api.para;

import lombok.Getter;

/**
 * @author Kurisu
 * 2019-05-07 11:31
 * 直接使用对应字符串（没有的需要注册）
 */
@Deprecated
public enum MessageBusinessType {
    /**
     * 系统提醒
     */
    SYS_NOTICE("sysNotice"),
    /**
     * 二维码失效
     */
    QR_CODE_INVALID("qrCodeInvalid"),
    /**
     * 注销
     */
    LOGIN_OUT("loginOut"),
    /**
     * 系统消息
     */
    SYS_MESSAGE("sysMessage"),

    /**
     * 到店有礼
     */
    GIFT_FOR_VISITOR("giftForVisitor"),

    /**
     * 活动报名
     */
    REGISTRATION_FOR_ACTIVITIES("registrationForActivities"),

    /**
     * 询价通知
     */
    INQUIRY_NOTICE("inquiryNotice"),

    /**
     * 试乘试驾预约通知
     */
    TEST_DRIVE_APPOINTMENT_NOTICE("testDriveAppointment"),

    /**
     * 评级通知
     */
    GRADE_NOTICE("Grade"),

    /**
     * 同行人扫码通知
     */
    FOLLOW_NOTICE("followNotice"),

    /**
     * 试驾通知
     */
    TDNOTICE("TdNotice"),

    /**
     * 上门试驾 - 听单
     */
    TEST_DRIVE_VISIT_ORDER("visitOrder"),

    /**
     * 租车到期提醒
     */
    RENTAL_CAR_EXPIRE_REMIND("rentalCarExpireRemind"),

    /**
     * 租车 - 新单提醒
     */
    NEW_RENTAL_ORDER_REMIND("newRentalOrderRemind"),

    /**
     * 外勤拜访签到、签退
     */
    LEGWORK("legwork"),

    /**
     * 预约售后服务通知
     */
    AFTER_SERVICE_APPOINTMENT("afterServiceAppointment"),

    /**
     * 车险报案
     */
    CAR_INSURANCE_REPORT("carInsuranceReport"),

    /**
     * 道路救援
     */
    ROAD_RESCUE("roadRescue"),

    /**
     * 续保估价
     */
    RENEWAL_VALUATION("renewalValuation"),

    /**
     * 续保订单
     */
    RENEWAL_ORDER("renewalOrder"),

    /**
     * 投诉处理
     */
    COMPLAINT_HANDLING("complaintHandling"),

    /**
     * 缺货提醒
     */
    REMINDER_OF_SHORTAGE("reminderOfShortage"),

    /**
     * 厂家下发
     */
    CjxfEnquire("cjxfEnquire"),

    /**
     * 试驾异常提醒
     */
    tdExceptionNotice("tdExceptionNotice"),

    /**
     * 集客跟进通知
     */
    COLLECT_FOLLOW("collectFollow"),
    /**
     * 保有客档案变更状态
     */
    CUSTOMER_CHANGE_STATUS("customerChangeStatus"),
    /**
     * 任务通知
     */
    TASK_NOTICE("taskNotice"),
    /**
     * 送修人新增通知
     */
    SENDER_NOTICE("SenderNotice"),
    /**
     * 待办通知
     */
    BACKLOG_ITEM_NOTICE("BacklogItemNotice"),
    /**
     * 调车通知
     */
    TRANSPORT_CAR("tranportCarNotice"),
    ;

    @Getter
    private String msg;

    MessageBusinessType(String msg) {
        this.msg = msg;
    }

}
